Loading...
Searching...
No Matches
wayland::seat_capability Struct Reference

seat capability bitmask More...

`#include <wayland-client-protocol.hpp>`

## Static Public Attributes

static const wayland::detail::bitfield< 3, 12 > | pointer {1}
| the seat has pointer devices
static const wayland::detail::bitfield< 3, 12 > | keyboard {2}
| the seat has one or more keyboards
static const wayland::detail::bitfield< 3, 12 > | touch {4}
| the seat has touch devices

## Detailed Description

seat capability bitmask

This is a bitmask of capabilities this seat has; if a member is set, then it is present on the seat.

Definition at line 2651 of file wayland-client-protocol.hpp.

## Member Data Documentation

## keyboard

const bitfield< 3, 12 > seat_capability::keyboard {2}

static

the seat has one or more keyboards

Definition at line 2660 of file wayland-client-protocol.hpp.

## pointer

const bitfield< 3, 12 > seat_capability::pointer {1}

static

the seat has pointer devices

Definition at line 2658 of file wayland-client-protocol.hpp.

## touch

const bitfield< 3, 12 > seat_capability::touch {4}

static

the seat has touch devices

Definition at line 2662 of file wayland-client-protocol.hpp.

The documentation for this struct was generated from the following files:

- obj-x86_64-linux-gnu/wayland-client-protocol.hpp
- obj-x86_64-linux-gnu/wayland-client-protocol.cpp
- obj-x86_64-linux-gnu/wayland-server-protocol.cpp